'use client';
import IconHome from '@/components/icon/icon-home';
import IconThumbUp from '@/components/icon/icon-thumb-up';
import IconUser from '@/components/icon/icon-user';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import React, { useState } from 'react';

export default function() {
    const [activeTab5, setActiveTab5] = useState<any>(1);
    return (
        <PanelCodeHighlight
            title="آیکون دار"

        >
            <div className="mb-5">
                <div className="inline-block w-full">
                    <div className="relative z-[1]">
                        <div
                            className={`${activeTab5 === 1 ? 'w-[15%]' : activeTab5 === 2 ? 'w-[48%]' : activeTab5 === 3 ? 'w-[81%]' : ''}
                                        absolute top-[30px] -z-[1] m-auto h-1 w-[15%] bg-primary transition-[width] ltr:left-0 rtl:right-0`}
                        ></div>
                        <ul className="mb-5 grid grid-cols-3">
                            <li className="mx-auto">
                                <button
                                    type="button"
                                    className={`${activeTab5 === 1 ? '!border-primary !bg-primary text-white' : ''}
                                                flex h-16 w-16 items-center justify-center border-[3px] border-[#f3f2ee] bg-white dark:border-[#1b2e4b] dark:bg-[#253b5c]`}
                                    onClick={() => setActiveTab5(1)}
                                >
                                    <IconHome />
                                </button>
                            </li>
                            <li className="mx-auto">
                                <button
                                    type="button"
                                    className={`${activeTab5 === 2 ? '!border-primary !bg-primary text-white' : ''}
                                                flex h-16 w-16 items-center justify-center border-[3px] border-[#f3f2ee] bg-white dark:border-[#1b2e4b] dark:bg-[#253b5c]`}
                                    onClick={() => setActiveTab5(2)}
                                >
                                    <IconUser className="h-5 w-5" />
                                </button>
                            </li>
                            <li className="mx-auto">
                                <button
                                    type="button"
                                    className={`${activeTab5 === 3 ? '!border-primary !bg-primary text-white' : ''}
                                                flex h-16 w-16 items-center justify-center border-[3px] border-[#f3f2ee] bg-white dark:border-[#1b2e4b] dark:bg-[#253b5c]`}
                                    onClick={() => setActiveTab5(3)}
                                >
                                    <IconThumbUp className="h-5 w-5" />
                                </button>
                            </li>
                        </ul>
                    </div>
                    <div>
                        <p className="mb-5">{activeTab5 === 1 && 'با کلیک کردن روی پیکان چپ یا راست، ناوبری صفحه کلید را امتحان کنید!'}</p>
                        <p className="mb-5">{activeTab5 === 2 && 'دکمه های بعدی و قبلی به شما کمک می کنند تا در محتوای خود پیمایش کنید.'}</p>
                        <p className="mb-5">{activeTab5 === 3 && 'جلوه های انتقال شگفت انگیز'}</p>
                    </div>
                    <div className="flex justify-between">
                        <button type="button" className={`btn btn-primary ${activeTab5 === 1 ? 'hidden' : ''}`}
                                onClick={() => setActiveTab5(activeTab5 === 3 ? 2 : 1)}>
                            قبلی
                        </button>
                        <button type="button" className="btn btn-primary ltr:ml-auto rtl:mr-auto" onClick={() => setActiveTab5(activeTab5 === 1 ? 2 : 3)}>
                            {activeTab5 === 3 ? 'تمام' : 'بعدی'}
                        </button>
                    </div>
                </div>
            </div>
        </PanelCodeHighlight>
    );
}
